---

#! /zdci/db/releases/20250522160210/lkp-src/jobs/stress-ng-part2.yaml
suite: stress-ng
testcase: stress-ng
category: benchmark
nr_threads: 100%
testtime: 60s
stress-ng:
  test: memthrash
job_origin: stress-ng-part2.yaml

#! queue options
queue_cmdline_keys: []
queue: vip
testbox: igk-spr-2sp2
tbox_group: igk-spr-2sp2
job_file: "/lkp/jobs/scheduled/igk-spr-2sp2/stress-ng-performance-100%-memthrash-60s-debian-12-x86_64-20240206.cgz-9734e25fbf5a-20250702-3503714-1fcmwvd-5.yaml"
id: ff3c517da0873194b97e9197ad370cacc61b636d
queuer_version: "/lkp/xsang/.src-20250630-032948"

#! /zdci/db/releases/20250522160210/lkp-src/hosts/igk-spr-2sp2
model: Sapphire Rapids
nr_node: 2
nr_cpu: 192
memory: 384G
nr_ssd_partitions: 3
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPF2KX038T1_BTAX40340BG83P8CGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPF2KX038T1_BTAX40340BG83P8CGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPF2KX038T1_BTAX40340BG83P8CGN-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPF2KX038T1_BTAX40340BG83P8CGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x6d9e3014
result_service: tmpfs
avoid_nfs: 1
brand: Intel(R) Xeon(R) Platinum 8468V  CPU @ 2.4GHz
belongs_to: igk
ucode: '0x2b000620'

#! /zdci/db/releases/20250522160210/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! /zdci/db/releases/20250522160210/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /zdci/db/releases/20250522160210/lkp-src/include/queue/cyclic
commit: 9734e25fbf5ae68eb04234b2cd14a4b36ab89141

#! /zdci/db/releases/20250522160210/lkp-src/programs/stress-ng/include
kconfig: x86_64-rhel-9.4
enqueue_time: 2025-07-02 07:20:05.227946923 +02:00
_rt: "/result/stress-ng/performance-100%-memthrash-60s/igk-spr-2sp2/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/9734e25fbf5ae68eb04234b2cd14a4b36ab89141"
compiler: gcc-12
head_commit: 435985e6b01e19e091f76ecaf5904d9fb6ec2e9b
base_commit: 0ff41df1cb268fc69e703a08a57ee14ae967d0ca
branch: linux-devel/devel-hourly-20250531-220453
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250702-094532"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/stress-ng/performance-100%-memthrash-60s/igk-spr-2sp2/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/9734e25fbf5ae68eb04234b2cd14a4b36ab89141/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4/gcc-12/9734e25fbf5ae68eb04234b2cd14a4b36ab89141/vmlinuz-6.15.0-rc3-00069-g9734e25fbf5a
- branch=linux-devel/devel-hourly-20250531-220453
- job=/lkp/jobs/scheduled/igk-spr-2sp2/stress-ng-performance-100%-memthrash-60s-debian-12-x86_64-20240206.cgz-9734e25fbf5a-20250702-3503714-1fcmwvd-5.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4
- commit=9734e25fbf5ae68eb04234b2cd14a4b36ab89141
- intremap=posted_msi
- acpi_rsdp=0x6d9e3014
- max_uptime=2100
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4/gcc-12/9734e25fbf5ae68eb04234b2cd14a4b36ab89141/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/stress-ng_20250412.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/stress-ng-x86_64-f76f86ffb-1_20250412.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-11066801dd4b-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-f3f2b1a4-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: igk

#! /zdci/db/releases/20250531085757/lkp-src/include/site/igk
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/igk-spr-2sp2/stress-ng-performance-100%-memthrash-60s-debian-12-x86_64-20240206.cgz-9734e25fbf5a-20250702-3503714-1fcmwvd-5.cgz"
last_kernel: 6.16.0-rc3
acpi_rsdp: '0x6d9e3014'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-9.4/gcc-12/9734e25fbf5ae68eb04234b2cd14a4b36ab89141/vmlinuz-6.15.0-rc3-00069-g9734e25fbf5a"
result_root: "/result/stress-ng/performance-100%-memthrash-60s/igk-spr-2sp2/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/9734e25fbf5ae68eb04234b2cd14a4b36ab89141/0"
user: lkp

#! /zdci/db/releases/20250702164908/lkp-src/include/site/igk
dequeue_time: 2025-07-02 12:47:09.585686987 +02:00
job_state: running
